Index: graphics/lua-gd/Makefile
===================================================================
--- graphics/lua-gd/Makefile	(revision 565507)
+++ graphics/lua-gd/Makefile	(working copy)
@@ -2,10 +2,9 @@
 # $FreeBSD$
 
 PORTNAME=	lua-gd
-PORTVERSION=	2.0.33r2
-PORTREVISION=	5
+PORTVERSION=	2.0.33r3.g20200223 # which comes before the unreleased 2.0.33r3
 CATEGORIES=	graphics
-MASTER_SITES=	http://files.luaforge.net/releases/${PORTNAME}/${PORTNAME}/${PORTNAME}-${PORTVERSION}forLua5.1/
+PKGNAMEPREFIX=	${LUA_PKGNAMEPREFIX}
 
 MAINTAINER=	sergey.dyatko@gmail.com
 COMMENT=	GD bindings for the Lua programming language
@@ -14,16 +13,21 @@
 
 LIB_DEPENDS=	libgd.so:graphics/gd
 
-OPTIONS_DEFINE=	DOCS EXAMPLES
+USES=		lua:51-52,module
+USE_GITHUB=	yes
+GH_ACCOUNT=	ittner
+GH_TAGNAME=	2ce8e478
 
-USES=		lua:51,module
 CFLAGS+=	-I${LUA_INCDIR} -I${LOCALBASE}/include
+CPPFLAGS+=	-DVERSION=\"${DISTVERSION}\"
 LDFLAGS+=	-shared -L${LOCALBASE}/lib -lgd -L${LUA_LIBDIR} -llua-${LUA_VER} -lm
-GDFEATURES=	`gdlib-config --features |sed -e "s/GD_/-DGD_/g"`
+_GDFEATURES=	-DGD_XPM -DGD_JPEG -DGD_FONTCONFIG -DGD_FREETYPE -DGD_PNG -DGD_GIF
 
 DOCSDIR=	${LUA_DOCSDIR}
 EXAMPLESDIR=	${LUA_EXAMPLESDIR}
 
+OPTIONS_DEFINE=	DOCS EXAMPLES
+
 .include <bsd.port.options.mk>
 
 CFLAGS_aarch64+=-fPIC
@@ -31,22 +35,21 @@
 CFLAGS_i386+=	-fPIC
 
 do-build:
-	${CC} -o ${WRKSRC}/gd.so ${CPPFLAGS} ${CFLAGS} ${LDFLAGS} ${GDFEATURES} ${WRKSRC}/luagd.c
+	${CC} -o ${WRKSRC}/gd.so ${CPPFLAGS} ${CFLAGS} ${LDFLAGS} ${_GDFEATURES} ${WRKSRC}/luagd.c
 
 do-install:
 	${MKDIR} ${STAGEDIR}${LUA_MODLIBDIR}
 	${INSTALL_PROGRAM} ${WRKSRC}/gd.so ${STAGEDIR}${LUA_MODLIBDIR}
 	${SETENV} LUA_CPATH=${STAGEDIR}${LUA_MODLIBDIR}/?.so ${LUA_CMD} ${WRKSRC}/test_features.lua
-.if ${PORT_OPTIONS:MDOCS}
+
+do-install-DOCS-on:
 	${MKDIR} ${STAGEDIR}${DOCSDIR}
 	cd ${WRKSRC}/doc/ && ${INSTALL_DATA} * ${STAGEDIR}${DOCSDIR}/
 	@${ECHO_MSG} "===> Documentation installed in ${STAGEDIR}${DOCSDIR}"
-.endif
 
-.if ${PORT_OPTIONS:MEXAMPLES}
+do-install-EXAMPLES-on:
 	${MKDIR} ${STAGEDIR}${EXAMPLESDIR}
 	cd ${WRKSRC}/demos && ${INSTALL_DATA} * ${STAGEDIR}${EXAMPLESDIR}
 	@${ECHO_MSG} "===> Examples installed in ${STAGEDIR}${EXAMPLESDIR}"
-.endif
 
 .include <bsd.port.mk>
Index: graphics/lua-gd/distinfo
===================================================================
--- graphics/lua-gd/distinfo	(revision 565507)
+++ graphics/lua-gd/distinfo	(working copy)
@@ -1,2 +1,3 @@
-SHA256 (lua-gd-2.0.33r2.tar.gz) = 235eceba9b55fd6b6cb6d88b0df676d6f94ff49155a0710363c21e2cc0987ec6
-SIZE (lua-gd-2.0.33r2.tar.gz) = 448606
+TIMESTAMP = 1613641745
+SHA256 (ittner-lua-gd-2.0.33r3.g20200223-2ce8e478_GH0.tar.gz) = 5b7db169ffdd5dbc4bde3ad473d6281b0b2f50ecaaabc486154e400873cb912f
+SIZE (ittner-lua-gd-2.0.33r3.g20200223-2ce8e478_GH0.tar.gz) = 436986
Index: graphics/lua-gd/pkg-plist
===================================================================
--- graphics/lua-gd/pkg-plist	(revision 565507)
+++ graphics/lua-gd/pkg-plist	(working copy)
@@ -14,20 +14,20 @@
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/bugs.jpg
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/circle.lua
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/clock.lua
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/colortransparent.lua
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/counter.lua
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/counter.txt
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/ellipse.lua
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/fontconfig.lua
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/fractal.lua
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/gd-open-any.lua
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/gifanim.lua
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/gifanim2.lua
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/gifanim3.lua
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/grid.png
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/lua-gd.png
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/lualogo.lua
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/lualogo.png
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/paper.png
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/poly.lua
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/setstyle.lua
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/stdfont.lua
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/steg.lua
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/test.lua
@@ -35,4 +35,3 @@
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/ttftext.lua
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/ttftextex.lua
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/utf-8.lua
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/utf-8.png
